Bug 1431637 - Review Request: python-fypp - Fortran preprocessor
Summary: Review Request: python-fypp - Fortran preprocessor
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-13 13:48 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2017-12-18 18:45 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-18 18:45:55 UTC
besser82: fedora-review+


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2017-03-13 13:48:52 UTC
Spec URL: https://rathann.fedorapeople.org/review/python-fypp/python-fypp.spec
SRPM URL: https://rathann.fedorapeople.org/review/python-fypp/python-fypp-2.0-1.fc25.src.rpm
Description:
Fypp is a Python powered preprocessor. It can be used for any programming
languages but its primary aim is to offer a Fortran preprocessor, which helps
to extend Fortran with condititional compiling and template metaprogramming
capabilities. Instead of introducing its own expression syntax, it uses Python
expressions in its preprocessor directives, offering the consistency and
versatility of Python when formulating metaprogramming tasks. It puts strong
emphasis on robustness and on neat integration into developing toolchains.

Fedora Account System Username: rathann

Comment 1 Björn 'besser82' Esser 2017-06-04 08:42:01 UTC
Taken

Comment 2 Björn 'besser82' Esser 2017-06-04 09:00:45 UTC
Tests are failing, but this gets silently ignored.  :/

+ test/runtests.sh /usr/bin/python3
Testing with interpreter '/usr/bin/python3'
Python detected LC_CTYPE=C: LC_CTYPE & LANG coerced to C.UTF-8 (set another locale or PYTHONCOERCECLOCALE=0 to disable this locale coercion behavior).
............................................................................................................E.....EEEE...................................................................................................................................................................................................................................................................
======================================================================
ERROR: test_import_module_current_dir (__main__.ImportTest)
Tests whether Fypp result matches expected output.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 1952, in import_module
    imported = __import__(module, self._scope)
ModuleNotFoundError: No module named 'inimod'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "test_fypp.py", line 2662, in test_output
    tool = fypp.Fypp(options)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 2422, in __init__
    options.moduledirs)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 2514, in _import_modules
    evaluator.import_module(module)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 1956, in import_module
    raise FyppFatalError(msg, cause=exc)
fypp.FyppFatalError: FyppFatalError: failed to import module 'inimod'
No module named 'inimod'
======================================================================
ERROR: test_nested_include_in_folder_of_incfile (__main__.IncludeTest)
Tests whether Fypp result matches expected output.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_fypp.py", line 2663, in test_output
    result = tool.process_text(inp)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 2487, in process_text
    return self._preprocessor.process_text(txt)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 2356, in process_text
    self._parser.parse(txt)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 280, in parse
    self._parse(txt)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 604, in _parse
    self._process_control_dir(content, span)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 667, in _process_control_dir
    self._process_include(param, span)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 815, in _process_include
    raise FyppFatalError(msg, self._curfile, span)
fypp.FyppFatalError: FyppFatalError: file '<string>', line 1
include file 'subfolder/include_fypp2.inc' not found
======================================================================
ERROR: test_nested_include_in_folder_of_incfile2 (__main__.IncludeTest)
Tests whether Fypp result matches expected output.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_fypp.py", line 2663, in test_output
    result = tool.process_text(inp)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 2487, in process_text
    return self._preprocessor.process_text(txt)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 2356, in process_text
    self._parser.parse(txt)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 280, in parse
    self._parse(txt)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 604, in _parse
    self._process_control_dir(content, span)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 667, in _process_control_dir
    self._process_include(param, span)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 815, in _process_include
    raise FyppFatalError(msg, self._curfile, span)
fypp.FyppFatalError: FyppFatalError: file '<string>', line 1
include file 'subfolder/include_fypp2.inc' not found
======================================================================
ERROR: test_nested_include_in_incpath (__main__.IncludeTest)
Tests whether Fypp result matches expected output.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_fypp.py", line 2663, in test_output
    result = tool.process_text(inp)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 2487, in process_text
    return self._preprocessor.process_text(txt)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 2356, in process_text
    self._parser.parse(txt)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 280, in parse
    self._parse(txt)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 604, in _parse
    self._process_control_dir(content, span)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 667, in _process_control_dir
    self._process_include(param, span)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 815, in _process_include
    raise FyppFatalError(msg, self._curfile, span)
fypp.FyppFatalError: FyppFatalError: file '<string>', line 1
include file 'subfolder/include_fypp1.inc' not found
======================================================================
ERROR: test_nested_include_in_incpath_linenum (__main__.IncludeTest)
Tests whether Fypp result matches expected output.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_fypp.py", line 2663, in test_output
    result = tool.process_text(inp)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 2487, in process_text
    return self._preprocessor.process_text(txt)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 2356, in process_text
    self._parser.parse(txt)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 280, in parse
    self._parse(txt)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 604, in _parse
    self._process_control_dir(content, span)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 667, in _process_control_dir
    self._process_include(param, span)
  File "/builddir/build/BUILD/fypp-2.0/src/fypp.py", line 815, in _process_include
    raise FyppFatalError(msg, self._curfile, span)
fypp.FyppFatalError: FyppFatalError: file '<string>', line 1
include file 'subfolder/include_fypp1.inc' not found
----------------------------------------------------------------------
Ran 377 tests in 0.271s
FAILED (errors=5)
Failing test runs: 1
Failing interpreter(s): /usr/bin/python3
+ :
+ exit 0

Comment 3 Dominik 'Rathann' Mierzejewski 2017-06-30 15:49:45 UTC
Thanks for the review and sorry for delayed response. I'll take a look at the failures and talk to upstream if I can't fix them myself.

Comment 4 Dominik 'Rathann' Mierzejewski 2017-06-30 16:10:24 UTC
Hm, I cannot reproduce your test failures either locally or in koji:
https://koji.fedoraproject.org/koji/taskinfo?taskID=20266422
[...]
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.AW67YH
+ umask 022
+ cd /builddir/build/BUILD
+ cd fypp-2.0.1
+ test/runtests.sh /usr/bin/python3
Testing with interpreter '/usr/bin/python3'
.........................................................................................................................................................................................................................................................................................................................................................................................
----------------------------------------------------------------------
Ran 377 tests in 0.281s
OK
All test runs finished successfully
+ exit 0
[...]

Anyway, small update:
Spec URL: https://rathann.fedorapeople.org/review/python-fypp/python-fypp.spec
SRPM URL: https://rathann.fedorapeople.org/review/python-fypp/python-fypp-2.0-2.fc25.src.rpm

* Fri Jun 30 2017 Dominik Mierzejewski <rpm@greysector.net> 2.0.1-2
- update upstream URL (bitbucket URL redirects to github)

Comment 5 Elliott Sales de Andrade 2017-10-05 03:31:03 UTC
I can reproduce the failures in mock and out, but your latest srpm link is broken.

Comment 6 Dominik 'Rathann' Mierzejewski 2017-10-06 18:41:57 UTC
Spec URL: https://rathann.fedorapeople.org/review/python-fypp/python-fypp.spec
SRPM URL: https://rathann.fedorapeople.org/review/python-fypp/python-fypp-2.1.1-1.fc26.src.rpm

* Fri Oct 06 2017 Dominik Mierzejewski <rpm@greysector.net> 2.1.1-1
- update to 2.1.1

Tests pass both in mock locally and in koji (scratch build): https://koji.fedoraproject.org/koji/taskinfo?taskID=22295844

Comment 7 Dominik 'Rathann' Mierzejewski 2017-11-29 12:51:40 UTC
Ping?

Comment 8 Björn 'besser82' Esser 2017-12-03 15:46:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated", "*No copyright* BSD
     (unspecified)". 15 files have unknown license. Detailed output of
     licensecheck in /home/besser82/fedora/review/1431637-python-
     fypp/licensecheck.txt

     ---> License is fine.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep


===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.


===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-fypp-2.1.1-1.fc28.noarch.rpm
          python-fypp-2.1.1-1.fc28.src.rpm
python3-fypp.noarch: W: spelling-error Summary(en_US) Fortran -> FORTRAN, Fort ran, Fort-ran
python3-fypp.noarch: W: spelling-error %description -l en_US condititional -> conditional, constitutional, conditioning
python3-fypp.noarch: W: spelling-error %description -l en_US metaprogramming -> meta programming, meta-programming, reprogramming
python3-fypp.noarch: W: spelling-error %description -l en_US toolchains -> tool chains, tool-chains, chainsaws
python3-fypp.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/fypp.py /usr/bin/env python
python3-fypp.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/fypp.py 644 /usr/bin/env python
python3-fypp.noarch: W: no-manual-page-for-binary fypp
python-fypp.src: W: spelling-error Summary(en_US) Fortran -> FORTRAN, Fort ran, Fort-ran
python-fypp.src: W: spelling-error %description -l en_US condititional -> conditional, constitutional, conditioning
python-fypp.src: W: spelling-error %description -l en_US metaprogramming -> meta programming, meta-programming, reprogramming
python-fypp.src: W: spelling-error %description -l en_US toolchains -> tool chains, tool-chains, chainsaws
2 packages and 0 specfiles checked; 2 errors, 9 warnings.


Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-fypp.noarch: W: spelling-error Summary(en_US) Fortran -> FORTRAN, Fort ran, Fort-ran
python3-fypp.noarch: W: spelling-error %description -l en_US condititional -> conditional, constitutional, conditioning
python3-fypp.noarch: W: spelling-error %description -l en_US metaprogramming -> meta programming, meta-programming, reprogramming
python3-fypp.noarch: W: spelling-error %description -l en_US toolchains -> tool chains, tool-chains, chainsaws
python3-fypp.noarch: W: invalid-url URL: https://github.com/aradi/fypp <urlopen error [Errno -2] Name or service not known>
python3-fypp.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/fypp.py /usr/bin/env python
python3-fypp.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/fypp.py 644 /usr/bin/env python
python3-fypp.noarch: W: no-manual-page-for-binary fypp
1 packages and 0 specfiles checked; 2 errors, 6 warnings.

---> Please fix those errors about script-interpreter and non-executable-script during import…


Requires
--------
python3-fypp (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)


Provides
--------
python3-fypp:
    python3-fypp
    python3.6dist(fypp)
    python3dist(fypp)


Source checksums
----------------
https://files.pythonhosted.org/packages/source/f/fypp/fypp-2.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : a0dad193bce4420927953dbd2068cb9fbfdb0bc0a161bafca366b1ed87cb954c
  CHECKSUM(SHA256) upstream package : a0dad193bce4420927953dbd2068cb9fbfdb0bc0a161bafca366b1ed87cb954c


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1431637
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


===== Solution =====

Package APPROVED!!!  Please fix those rpmlint-errors about script-interpreter and non-executable-script during import…

Comment 9 Gwyn Ciesla 2017-12-18 14:29:28 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-fypp

Comment 10 Dominik 'Rathann' Mierzejewski 2017-12-18 18:45:55 UTC
Sorry for the delay. Thanks for the review. Package imported and build for rawhide with rpmlint errors fixed.


Note You need to log in before you can comment on or make changes to this bug.